Ogre::GLES2Context Class Reference

Class that encapsulates an GL context. More...

`#include <OgreGLES2Context.h>`

Inheritance diagram for Ogre::GLES2Context:
[legend]

List of all members.

## Public Member Functions

| GLES2Context ()
virtual | ~GLES2Context ()
virtual void | setCurrent ()=0
| Enable the context.
virtual void | endCurrent ()=0
| This is called before another context is made current.
bool | getInitialized ()
void | setInitialized ()
virtual GLES2Context * | clone () const =0
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual void | releaseContext ()
| Release the render context.

## Protected Attributes

bool | initialized

## Detailed Description

Class that encapsulates an GL context.

(IE a window/pbuffer). This is a virtual base class which should be implemented in a GLES2Support. This object can also be used to cache renderstate if we decide to do so in the future.

Definition at line 41 of file OgreGLES2Context.h.

## Constructor & Destructor Documentation

Ogre::GLES2Context::GLES2Context | ( |  | ) |

virtual Ogre::GLES2Context::~GLES2Context | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual GLES2Context* Ogre::GLES2Context::clone | ( |  | ) | const`[pure virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implemented in Ogre::EAGLES2Context, Ogre::AndroidGLContext, Ogre::NaClGLContext, Ogre::EGLContext, Ogre::EGLContext, Ogre::X11EGLContext, Ogre::Win32EGLContext, Ogre::X11EGLContext, and Ogre::Win32EGLContext.

virtual void Ogre::GLES2Context::endCurrent | ( |  | ) | `[pure virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implemented in Ogre::EAGLES2Context, Ogre::AndroidGLContext, Ogre::NaClGLContext, Ogre::EGLContext, and Ogre::EGLContext.

bool Ogre::GLES2Context::getInitialized | ( |  | ) |

Definition at line 58 of file OgreGLES2Context.h.

virtual void Ogre::GLES2Context::releaseContext | ( |  | ) | `[virtual]`

Release the render context.

Definition at line 70 of file OgreGLES2Context.h.

virtual void Ogre::GLES2Context::setCurrent | ( |  | ) | `[pure virtual]`

Enable the context.

All subsequent rendering commands will go here.

Implemented in Ogre::EAGLES2Context, Ogre::AndroidGLContext, Ogre::NaClGLContext, Ogre::EGLContext, and Ogre::EGLContext.

void Ogre::GLES2Context::setInitialized | ( |  | ) |

Definition at line 59 of file OgreGLES2Context.h.

## Member Data Documentation

bool Ogre::GLES2Context::initialized`[protected]`

Definition at line 73 of file OgreGLES2Context.h.

The documentation for this class was generated from the following file:

- OgreGLES2Context.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:00